Package org.gradle.plugins.ide.eclipse.model

## Enum ResourceFilterAppliesTo

- java.lang.Object
- - java.lang.Enum<ResourceFilterAppliesTo>
  - - org.gradle.plugins.ide.eclipse.model.ResourceFilterAppliesTo

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResourceFilterAppliesTo>`

      public enum ResourceFilterAppliesTo
      extends Enum<ResourceFilterAppliesTo>

  Specifies the type of resource that the Eclipse `ResourceFilter` applies to.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FILES` |
    `FILES_AND_FOLDERS` |
    `FOLDERS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResourceFilterAppliesTo` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResourceFilterAppliesTo[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILES

          public static final ResourceFilterAppliesTo FILES

    - #### FOLDERS

          public static final ResourceFilterAppliesTo FOLDERS

    - #### FILES_AND_FOLDERS

          public static final ResourceFilterAppliesTo FILES_AND_FOLDERS

  - ### Method Detail

    - #### values

          public static ResourceFilterAppliesTo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceFilterAppliesTo c : ResourceFilterAppliesTo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceFilterAppliesTo valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null